Name:		jsound
Version:	4.0
Release:	%mkrel 1
License:	Freeware
Packager:   Agent Smith  <ruidobranco@yahoo.com.br>
Group:		Sound
URL:		https://sourceforge.net/projects/jortegasound/
Source0:	%{name}-%{version}.tar.xz
Source1:	%{name}.png
Summary:	 JSound is an audio player written in Java.
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch
Requires:	java
Obsoletes:	%name < %version
AutoReqProv:    no


%description
Best level of equalization sound, convert your audio format, listen web radio, show music representation with spectrum and VU metter.
Set equalization in played music, apply effects. Feel the difference and change your experience to listen music.

%prep

%setup -q -n %{name}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}%{_datadir}/%{name}

cp -arv $RPM_BUILD_DIR/%{name}/* %{buildroot}%{_datadir}/%{name}/

# launcher
mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %{_datadir}/%{name}/bin/
./%{name} 
cd /
EOF

chmod a+x %{buildroot}%{_bindir}/%{name}

install -d -m 0755 %buildroot%_datadir/pixmaps
install -m 0644 %SOURCE1 %buildroot%_datadir/pixmaps/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Exec=%{name}
Icon=%{name}.png
Type=Application
Terminal=false
Name=JSound
GenericName=Audio player in Java
Comment=%{summary}
StartupNotify=false
Categories=X-MandrivaLinux-Multimedia-Audio;Audio;
EOF



%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}


%files
%defattr(-,root,root)
%_bindir/%{name}
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop



%changelog
* Mon May 22 2017 Agent Smith <ruidobranco@yahoo.com.br> 4.0-1pclos2017
- Created the package jsound-4.0-1pclos2016.noarch.rpm, with latest source.

